Package htsjdk.samtools

# Enum Class SAMValidationError.Type

java.lang.Object
java.lang.Enum<SAMValidationError.Type>
htsjdk.samtools.SAMValidationError.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMValidationError.Type>`, `Constable`

Enclosing class:
  `SAMValidationError`

public static enum SAMValidationError.Type extends Enum<SAMValidationError.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADJACENT_INDEL_IN_CIGAR`
CIGAR string contains I followed by D, or vice versa
`BAM_FILE_MISSING_TERMINATOR_BLOCK`
BAM appears to be healthy, but is an older file so doesn't have terminator block.
`CG_TAG_FOUND_IN_ATTRIBUTES`
The CG Tag should only be used in BAM format to hold a large cigar
`CIGAR_MAPS_OFF_REFERENCE`
Bases corresponding to M operator in CIGAR are beyond the end of the reference.
`DUPLICATE_PROGRAM_GROUP_ID`
Same program group id appears more than once
`DUPLICATE_READ_GROUP_ID`
Same read group id appears more than once
`DUPLICATE_SAM_TAG`
A duplicate Sam tag was found in a record.
`E2_BASE_EQUALS_PRIMARY_BASE`
Secondary base calls should not be the same as primary, unless one or the other is N
`EMPTY_READ`
`HEADER_RECORD_MISSING_REQUIRED_TAG`
`HEADER_TAG_INVALID_KEY`
Header tag key contains invalid characters or is not length two
`HEADER_TAG_MULTIPLY_DEFINED`
Header tag appears more than once in header line with different value
`HEADER_TAG_NON_CONFORMING_VALUE`
Header tag contains illegal value
`INVALID_ALIGNMENT_START`
alignment start is can not be correct
`INVALID_CIGAR`
CIGAR string is empty for mapped read or not empty of unmapped read, or other CIGAR badness.
`INVALID_DATE_STRING`
Date string is not ISO-8601
`INVALID_FLAG_FIRST_OF_PAIR`
first of pair flag set for unpaired read
`INVALID_FLAG_MATE_NEG_STRAND`
mate negative strand flag set for unpaired read
`INVALID_FLAG_MATE_UNMAPPED`
mate unmapped flag set when mate is mapped or not set when mate is not mapped
`INVALID_FLAG_NOT_PRIM_ALIGNMENT`
not primary alignment flag set for unmapped read
`INVALID_FLAG_PROPER_PAIR`
proper pair flag set for unpaired read
`INVALID_FLAG_READ_UNMAPPED`
mapped read flag not set for mapped read
`INVALID_FLAG_SECOND_OF_PAIR`
second of pair flag set for unpaired read
`INVALID_FLAG_SUPPLEMENTARY_ALIGNMENT`
supplementary alignment flag set for unmapped read
`INVALID_INDEX_FILE_POINTER`
Invalid virtualFilePointer in index
`INVALID_INDEXING_BIN`
Indexing bin set on SAMRecord does not agree with computed value.
`INVALID_INSERT_SIZE`
inferred insert size is out of range
`INVALID_MAPPING_QUALITY`
mapping quality set for unmapped read or is >= 256
`INVALID_MATE_REF_INDEX`
mate reference index (MRNM) set for unpaired read
`INVALID_PLATFORM_VALUE`
The read group has an invalid value set for its PL field
`INVALID_PREDICTED_MEDIAN_INSERT_SIZE`
PI tag value is not numeric.
`INVALID_QUALITY_FORMAT`
quality encodings out of range; appear to be Solexa or Illumina when Phread expected
`INVALID_REFERENCE_INDEX`
reference index not found in sequence dictionary
`INVALID_TAG_NM`
the NM tag (nucleotide differences) is incorrect
`INVALID_UNALIGNED_MATE_START`
The unaligned mate read start position should be 0
`INVALID_UNPAIRED_MATE_REFERENCE`
The mate reference of the unpaired read should be "*"
`INVALID_VERSION_NUMBER`
`MATE_CIGAR_STRING_INVALID_PRESENCE`
There is a Cigar String (stored in the MC Tag) for a read whose mate is NOT mapped.
`MATE_FIELD_MISMATCH`
the record's mate fields do not match the corresponding fields of the mate
`MATE_NOT_FOUND`
Read is marked as paired, but its pair was not found.
`MATES_ARE_SAME_END`
Both mates are marked as first of pair, or both mates are marked as second of pair.
`MISMATCH_CIGAR_SEQ_LENGTH`
Mismatch between the number of bases covered by the CIGAR and sequence
`MISMATCH_FILE_SEQ_DICT`
Mismatch between file and sequence dictionaries
`MISMATCH_FLAG_MATE_NEG_STRAND`
mate negative strand flag does not match read negative strand flag of mate
`MISMATCH_FLAG_MATE_UNMAPPED`
mate unmapped flag does not match read unmapped flag of mate
`MISMATCH_MATE_ALIGNMENT_START`
mate alignment does not match alignment start of mate
`MISMATCH_MATE_CIGAR_STRING`
The Cigar String in the MC Tag does not match the Cigar String for the mate of this read.
`MISMATCH_MATE_REF_INDEX`
mate reference index (MRNM) does not match reference index of mate
`MISMATCH_READ_LENGTH_AND_E2_LENGTH`
Length of E2 (secondary base calls) and U2 (secondary base quals) tag values should match read length
`MISMATCH_READ_LENGTH_AND_QUALS_LENGTH`
`MISMATCH_READ_LENGTH_AND_U2_LENGTH`
`MISMATCH_SEQ_QUAL_LENGTH`
Mismatch between the sequence and quality length
`MISSING_HEADER`
the sam/bam file is missing the header
`MISSING_PLATFORM_VALUE`
The read group is missing its PL (platform unit) field
`MISSING_READ_GROUP`
the header is missing read group information
`MISSING_SEQUENCE_DICTIONARY`
there is no sequence dictionary in the header
`MISSING_TAG_NM`
the NM tag (nucleotide differences) is missing
`MISSING_VERSION_NUMBER`
`PAIRED_READ_NOT_MARKED_AS_FIRST_OR_SECOND`
pair flag set but not marked as first or second of pair
`POORLY_FORMATTED_HEADER_TAG`
Header tag does not have colon
`QUALITY_NOT_STORED`
Base quality is not stored for the read.
`READ_GROUP_NOT_FOUND`
A read group ID on a SAMRecord is not found in the header
`RECORD_MISSING_READ_GROUP`
A SAMRecord is found with no read group id
`RECORD_OUT_OF_ORDER`
the record is out of order
`REF_SEQ_TOO_LONG_FOR_BAI`
One or more reference sequences in the dictionary are too long for BAI indexing.
`TAG_VALUE_TOO_LARGE`
Unsigned integer tag value is deprecated in BAM.
`TRUNCATED_FILE`
`UNRECOGNIZED_HEADER_TYPE`
Header record is not one of the standard types

## Field Summary

Fields
Modifier and Type
Field
Description
`final SAMValidationError.Severity`
`severity`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHistogramString()`
`static SAMValidationError.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMValidationError.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID_QUALITY_FORMAT

public static final SAMValidationError.Type INVALID_QUALITY_FORMAT
quality encodings out of range; appear to be Solexa or Illumina when Phread expected

### INVALID_FLAG_PROPER_PAIR

public static final SAMValidationError.Type INVALID_FLAG_PROPER_PAIR
proper pair flag set for unpaired read

### INVALID_FLAG_MATE_UNMAPPED

public static final SAMValidationError.Type INVALID_FLAG_MATE_UNMAPPED
mate unmapped flag set when mate is mapped or not set when mate is not mapped

### MISMATCH_FLAG_MATE_UNMAPPED

public static final SAMValidationError.Type MISMATCH_FLAG_MATE_UNMAPPED
mate unmapped flag does not match read unmapped flag of mate

### INVALID_FLAG_MATE_NEG_STRAND

public static final SAMValidationError.Type INVALID_FLAG_MATE_NEG_STRAND
mate negative strand flag set for unpaired read

### MISMATCH_FLAG_MATE_NEG_STRAND

public static final SAMValidationError.Type MISMATCH_FLAG_MATE_NEG_STRAND
mate negative strand flag does not match read negative strand flag of mate

### INVALID_FLAG_FIRST_OF_PAIR

public static final SAMValidationError.Type INVALID_FLAG_FIRST_OF_PAIR
first of pair flag set for unpaired read

### INVALID_FLAG_SECOND_OF_PAIR

public static final SAMValidationError.Type INVALID_FLAG_SECOND_OF_PAIR
second of pair flag set for unpaired read

### PAIRED_READ_NOT_MARKED_AS_FIRST_OR_SECOND

public static final SAMValidationError.Type PAIRED_READ_NOT_MARKED_AS_FIRST_OR_SECOND
pair flag set but not marked as first or second of pair

### INVALID_FLAG_NOT_PRIM_ALIGNMENT

public static final SAMValidationError.Type INVALID_FLAG_NOT_PRIM_ALIGNMENT
not primary alignment flag set for unmapped read

### INVALID_FLAG_SUPPLEMENTARY_ALIGNMENT

public static final SAMValidationError.Type INVALID_FLAG_SUPPLEMENTARY_ALIGNMENT
supplementary alignment flag set for unmapped read

### INVALID_FLAG_READ_UNMAPPED

public static final SAMValidationError.Type INVALID_FLAG_READ_UNMAPPED
mapped read flag not set for mapped read

### INVALID_INSERT_SIZE

public static final SAMValidationError.Type INVALID_INSERT_SIZE
inferred insert size is out of range

See Also:
  - `SAMRecord.MAX_INSERT_SIZE`

### INVALID_MAPPING_QUALITY

public static final SAMValidationError.Type INVALID_MAPPING_QUALITY
mapping quality set for unmapped read or is >= 256

### INVALID_CIGAR

public static final SAMValidationError.Type INVALID_CIGAR
CIGAR string is empty for mapped read or not empty of unmapped read, or other CIGAR badness.

### ADJACENT_INDEL_IN_CIGAR

public static final SAMValidationError.Type ADJACENT_INDEL_IN_CIGAR
CIGAR string contains I followed by D, or vice versa

### INVALID_MATE_REF_INDEX

public static final SAMValidationError.Type INVALID_MATE_REF_INDEX
mate reference index (MRNM) set for unpaired read

### MISMATCH_MATE_REF_INDEX

public static final SAMValidationError.Type MISMATCH_MATE_REF_INDEX
mate reference index (MRNM) does not match reference index of mate

### INVALID_REFERENCE_INDEX

public static final SAMValidationError.Type INVALID_REFERENCE_INDEX
reference index not found in sequence dictionary

### INVALID_ALIGNMENT_START

public static final SAMValidationError.Type INVALID_ALIGNMENT_START
alignment start is can not be correct

### MISMATCH_MATE_ALIGNMENT_START

public static final SAMValidationError.Type MISMATCH_MATE_ALIGNMENT_START
mate alignment does not match alignment start of mate

### MATE_FIELD_MISMATCH

public static final SAMValidationError.Type MATE_FIELD_MISMATCH
the record's mate fields do not match the corresponding fields of the mate

### INVALID_TAG_NM

public static final SAMValidationError.Type INVALID_TAG_NM
the NM tag (nucleotide differences) is incorrect

### MISSING_TAG_NM

public static final SAMValidationError.Type MISSING_TAG_NM
the NM tag (nucleotide differences) is missing

### MISSING_HEADER

public static final SAMValidationError.Type MISSING_HEADER
the sam/bam file is missing the header

### MISSING_SEQUENCE_DICTIONARY

public static final SAMValidationError.Type MISSING_SEQUENCE_DICTIONARY
there is no sequence dictionary in the header

### MISSING_READ_GROUP

public static final SAMValidationError.Type MISSING_READ_GROUP
the header is missing read group information

### RECORD_OUT_OF_ORDER

public static final SAMValidationError.Type RECORD_OUT_OF_ORDER
the record is out of order

### READ_GROUP_NOT_FOUND

public static final SAMValidationError.Type READ_GROUP_NOT_FOUND
A read group ID on a SAMRecord is not found in the header

### RECORD_MISSING_READ_GROUP

public static final SAMValidationError.Type RECORD_MISSING_READ_GROUP
A SAMRecord is found with no read group id

### INVALID_INDEXING_BIN

public static final SAMValidationError.Type INVALID_INDEXING_BIN
Indexing bin set on SAMRecord does not agree with computed value.

### MISSING_VERSION_NUMBER

public static final SAMValidationError.Type MISSING_VERSION_NUMBER

### INVALID_VERSION_NUMBER

public static final SAMValidationError.Type INVALID_VERSION_NUMBER

### TRUNCATED_FILE

public static final SAMValidationError.Type TRUNCATED_FILE

### MISMATCH_READ_LENGTH_AND_QUALS_LENGTH

public static final SAMValidationError.Type MISMATCH_READ_LENGTH_AND_QUALS_LENGTH

### EMPTY_READ

public static final SAMValidationError.Type EMPTY_READ

### CIGAR_MAPS_OFF_REFERENCE

public static final SAMValidationError.Type CIGAR_MAPS_OFF_REFERENCE
Bases corresponding to M operator in CIGAR are beyond the end of the reference.

### MISMATCH_READ_LENGTH_AND_E2_LENGTH

public static final SAMValidationError.Type MISMATCH_READ_LENGTH_AND_E2_LENGTH
Length of E2 (secondary base calls) and U2 (secondary base quals) tag values should match read length

### MISMATCH_READ_LENGTH_AND_U2_LENGTH

public static final SAMValidationError.Type MISMATCH_READ_LENGTH_AND_U2_LENGTH

### E2_BASE_EQUALS_PRIMARY_BASE

public static final SAMValidationError.Type E2_BASE_EQUALS_PRIMARY_BASE
Secondary base calls should not be the same as primary, unless one or the other is N

### BAM_FILE_MISSING_TERMINATOR_BLOCK

public static final SAMValidationError.Type BAM_FILE_MISSING_TERMINATOR_BLOCK
BAM appears to be healthy, but is an older file so doesn't have terminator block.

### UNRECOGNIZED_HEADER_TYPE

public static final SAMValidationError.Type UNRECOGNIZED_HEADER_TYPE
Header record is not one of the standard types

### POORLY_FORMATTED_HEADER_TAG

public static final SAMValidationError.Type POORLY_FORMATTED_HEADER_TAG
Header tag does not have colon

### HEADER_TAG_MULTIPLY_DEFINED

public static final SAMValidationError.Type HEADER_TAG_MULTIPLY_DEFINED
Header tag appears more than once in header line with different value

### HEADER_RECORD_MISSING_REQUIRED_TAG

public static final SAMValidationError.Type HEADER_RECORD_MISSING_REQUIRED_TAG

### HEADER_TAG_NON_CONFORMING_VALUE

public static final SAMValidationError.Type HEADER_TAG_NON_CONFORMING_VALUE
Header tag contains illegal value

### INVALID_DATE_STRING

public static final SAMValidationError.Type INVALID_DATE_STRING
Date string is not ISO-8601

### TAG_VALUE_TOO_LARGE

public static final SAMValidationError.Type TAG_VALUE_TOO_LARGE
Unsigned integer tag value is deprecated in BAM.

### INVALID_INDEX_FILE_POINTER

public static final SAMValidationError.Type INVALID_INDEX_FILE_POINTER
Invalid virtualFilePointer in index

### INVALID_PREDICTED_MEDIAN_INSERT_SIZE

public static final SAMValidationError.Type INVALID_PREDICTED_MEDIAN_INSERT_SIZE
PI tag value is not numeric.

### DUPLICATE_READ_GROUP_ID

public static final SAMValidationError.Type DUPLICATE_READ_GROUP_ID
Same read group id appears more than once

### MISSING_PLATFORM_VALUE

public static final SAMValidationError.Type MISSING_PLATFORM_VALUE
The read group is missing its PL (platform unit) field

### INVALID_PLATFORM_VALUE

public static final SAMValidationError.Type INVALID_PLATFORM_VALUE
The read group has an invalid value set for its PL field

### DUPLICATE_PROGRAM_GROUP_ID

public static final SAMValidationError.Type DUPLICATE_PROGRAM_GROUP_ID
Same program group id appears more than once

### MATE_NOT_FOUND

public static final SAMValidationError.Type MATE_NOT_FOUND
Read is marked as paired, but its pair was not found.

### MATES_ARE_SAME_END

public static final SAMValidationError.Type MATES_ARE_SAME_END
Both mates are marked as first of pair, or both mates are marked as second of pair.

### MISMATCH_MATE_CIGAR_STRING

public static final SAMValidationError.Type MISMATCH_MATE_CIGAR_STRING
The Cigar String in the MC Tag does not match the Cigar String for the mate of this read.

### MATE_CIGAR_STRING_INVALID_PRESENCE

public static final SAMValidationError.Type MATE_CIGAR_STRING_INVALID_PRESENCE
There is a Cigar String (stored in the MC Tag) for a read whose mate is NOT mapped.

### INVALID_UNPAIRED_MATE_REFERENCE

public static final SAMValidationError.Type INVALID_UNPAIRED_MATE_REFERENCE
The mate reference of the unpaired read should be "*"

### INVALID_UNALIGNED_MATE_START

public static final SAMValidationError.Type INVALID_UNALIGNED_MATE_START
The unaligned mate read start position should be 0

### MISMATCH_CIGAR_SEQ_LENGTH

public static final SAMValidationError.Type MISMATCH_CIGAR_SEQ_LENGTH
Mismatch between the number of bases covered by the CIGAR and sequence

### MISMATCH_SEQ_QUAL_LENGTH

public static final SAMValidationError.Type MISMATCH_SEQ_QUAL_LENGTH
Mismatch between the sequence and quality length

### MISMATCH_FILE_SEQ_DICT

public static final SAMValidationError.Type MISMATCH_FILE_SEQ_DICT
Mismatch between file and sequence dictionaries

### QUALITY_NOT_STORED

public static final SAMValidationError.Type QUALITY_NOT_STORED
Base quality is not stored for the read.

### DUPLICATE_SAM_TAG

public static final SAMValidationError.Type DUPLICATE_SAM_TAG
A duplicate Sam tag was found in a record.

### CG_TAG_FOUND_IN_ATTRIBUTES

public static final SAMValidationError.Type CG_TAG_FOUND_IN_ATTRIBUTES
The CG Tag should only be used in BAM format to hold a large cigar

### REF_SEQ_TOO_LONG_FOR_BAI

public static final SAMValidationError.Type REF_SEQ_TOO_LONG_FOR_BAI
One or more reference sequences in the dictionary are too long for BAI indexing.

### HEADER_TAG_INVALID_KEY

public static final SAMValidationError.Type HEADER_TAG_INVALID_KEY
Header tag key contains invalid characters or is not length two

## Field Details

### severity

public final SAMValidationError.Severity severity

## Method Details

### values

public static SAMValidationError.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMValidationError.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHistogramString

public String getHistogramString()

Returns:
  Format for writing to histogram summary output.